Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1049960 - [abrt] Possible use-after-free in CalDAV's initialize_backend()
Summary: [abrt] Possible use-after-free in CalDAV's initialize_backend()
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evolution-data-server
Version: 7.0
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL: http://faf-report.itos.redhat.com/rep...
Whiteboard: abrt_hash:38a9f78a00c4351cee0d99ba2f5...
: 1052897 1052909 1067468 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-08 14:31 UTC by Michal Toman
Modified: 2015-03-23 00:42 UTC (History)
5 users (show)

Fixed In Version: evolution-data-server-3.8.5-13
Doc Type: Bug Fix
Doc Text:
Clone Of: 872652
Environment:
Last Closed: 2014-06-13 13:20:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 687640 0 None None None Never

Description Michal Toman 2014-01-08 14:31:57 UTC
+++ This bug was initially created as a clone of Bug #872652 +++

Version-Release number of selected component:
evolution-data-server-3.6.1-1.fc18

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: initialize_backend
kernel:         3.6.5-2.fc18.x86_64

truncated backtrace:
:Thread no. 1 (3 frames)
: #6 initialize_backend at e-cal-backend-caldav.c:2652
: #7 caldav_source_changed_thread at e-cal-backend-caldav.c:4834
: #8 g_thread_proxy at gthread.c:797

--- Additional comment from aleksander@aleksander.es on 20121102T16:31:55 ---

Created attachment 637137 [details]
File: core_backtrace

--- Additional comment from aleksander@aleksander.es on 20121102T16:31:57 ---

Created attachment 637138 [details]
File: environ

--- Additional comment from aleksander@aleksander.es on 20121102T16:31:59 ---

Created attachment 637139 [details]
File: limits

--- Additional comment from aleksander@aleksander.es on 20121102T16:32:02 ---

Created attachment 637140 [details]
File: backtrace

--- Additional comment from aleksander@aleksander.es on 20121102T16:32:04 ---

Created attachment 637141 [details]
File: cgroup

--- Additional comment from aleksander@aleksander.es on 20121102T16:32:07 ---

Created attachment 637142 [details]
File: smolt_data

--- Additional comment from aleksander@aleksander.es on 20121102T16:32:09 ---

Created attachment 637143 [details]
File: executable

--- Additional comment from aleksander@aleksander.es on 20121102T16:33:16 ---

Created attachment 637144 [details]
File: maps

--- Additional comment from aleksander@aleksander.es on 20121102T16:33:29 ---

Created attachment 637145 [details]
File: dso_list

--- Additional comment from aleksander@aleksander.es on 20121102T16:33:36 ---

Created attachment 637146 [details]
File: proc_pid_status

--- Additional comment from aleksander@aleksander.es on 20121102T16:33:40 ---

Created attachment 637147 [details]
File: open_fds

--- Additional comment from aleksander@aleksander.es on 20121102T16:33:42 ---

Created attachment 637148 [details]
File: var_log_messages

--- Additional comment from mcrha@redhat.com on 20121105T13:42:10 ---

Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=687640

--- Additional comment from mcrha@redhat.com on 20130116T11:44:50 ---

*** Bug 895813 has been marked as a duplicate of this bug. ***

--- Additional comment from mcrha@redhat.com on 20130129T10:13:24 ---

*** Bug 904995 has been marked as a duplicate of this bug. ***

--- Additional comment from mcrha@redhat.com on 20130205T11:24:59 ---

*** Bug 907660 has been marked as a duplicate of this bug. ***

--- Additional comment from mcrha@redhat.com on 20130207T08:01:15 ---

*** Bug 908219 has been marked as a duplicate of this bug. ***

--- Additional comment from mcrha@redhat.com on 20130325T10:55:07 ---

*** Bug 924608 has been marked as a duplicate of this bug. ***

--- Additional comment from mcrha@redhat.com on 20130916T07:04:23 ---

*** Bug 862830 has been marked as a duplicate of this bug. ***

--- Additional comment from mcrha@redhat.com on 20130916T07:05:49 ---

*** Bug 1008143 has been marked as a duplicate of this bug. ***

--- Additional comment from mcrha@redhat.com on 20131004T17:36:14 ---

*** Bug 1015649 has been marked as a duplicate of this bug. ***

--- Additional comment from mcrha@redhat.com on 20131125T13:03:36 ---

*** Bug 1033931 has been marked as a duplicate of this bug. ***

--- Additional comment from satellit@bendbroadband.com on 20131201T23:49:28 ---

in Liveusb-creator i386 f20 TC-3 USB install to HD  added google account in gnome-initial-setup then next  crashed.

Comment 1 Michal Toman 2014-01-08 14:31:59 UTC
The same problem has been detected in Red Hat Enterprise Linux 7. The following packages are affected:

evolution-data-server-3.8.5-8.1.el7.x86_64
evolution-data-server-3.8.5-8.el7.x86_64

Comment 3 Milan Crha 2014-01-10 07:16:41 UTC
(In reply to Michal Toman from comment #1)
> The same problem has been detected in Red Hat Enterprise Linux 7.

Right. I still didn't find a reliable way of reproducing the crash, and basic code read didn't show anything wrong, the related code paths seemed fine. It'll be helpful if someone finds some steps for a CalDAV calendar with a reproducer.

Comment 4 Milan Crha 2014-01-15 09:16:49 UTC
*** Bug 1052897 has been marked as a duplicate of this bug. ***

Comment 5 Milan Crha 2014-01-15 09:18:25 UTC
*** Bug 1052909 has been marked as a duplicate of this bug. ***

Comment 6 Milan Crha 2014-01-15 13:53:35 UTC
Upstream fix for this:
https://git.gnome.org/browse/evolution-data-server/commit/?id=12a279c

Comment 8 Vladimir Benes 2014-02-04 14:39:44 UTC
please reopen if this occurs again, should be fixed now

Comment 9 Milan Crha 2014-02-21 07:36:24 UTC
*** Bug 1067468 has been marked as a duplicate of this bug. ***

Comment 10 Ludek Smid 2014-06-13 13:20:21 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.